Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

Adobe AIR Development

Reply
Developer
Developer
mdd
Posts: 225
Registered: ‎01-17-2012
My Device: PB

Re: Flash Builder 4.7 is out!

thanks, found it.

 

but it should be visible from FB somewhere...

 

 

Developer
Torres90
Posts: 102
Registered: ‎01-12-2011
My Device: Blackberry Playbook

Re: Flash Builder 4.7 is out!

Step 5, the mac's direction shouldn't it be /Applications/Research In Motion/ without the /SDKs/ in the middle?

Click "like" if my reply helps and click "Accept as Solution" if it solves your problem!

twitter @Twopinstudio
my vendor page https://appworld.blackberry.com/webstore/vendor/7126/?lang=en
Developer
Developer
mdd
Posts: 225
Registered: ‎01-17-2012
My Device: PB

Re: Flash Builder 4.7 is out!

This is so messed up:

 

Using FB4.7, trying to install latest AIR SDK (3.1.0) - Following Dustin's great instructions

 

If I tell the installer to use:

C:\Program Files\Adobe\Adobe Flash Builder 4.7 (64 Bit)\sdks\4.6.0

 it says its invalid, but if I specify the 4.6 path (Program Files (x86)) it is acceptable.  What's going on?

 

 

Regular Contributor
Vemilyus
Posts: 54
Registered: ‎03-21-2011
My Device: 1st Gen BlackBerry PlayBook 16GB (Gift from RIM :D)

Re: Flash Builder 4.7 is out!

[ Edited ]

When using FB 4.7 you no longer use the installer to integrate the SDK. Instead you open FB as Administrator, go to the Help menu and choose "Install BlackBerry 10 publishing support"...

 

Lookie here: BB10 AIR SDK - How to integrate with FB 4.7

This is a signature. Don't expect anything fancy, for I would use an image if I could. But I can't, so cope with it...
Developer
Developer
mdd
Posts: 225
Registered: ‎01-17-2012
My Device: PB

Re: Flash Builder 4.7 is out!

yes, that's the doc I'm following:

 

In particular, step 6 is failing. Invalid SDK

Regular Contributor
Vemilyus
Posts: 54
Registered: ‎03-21-2011
My Device: 1st Gen BlackBerry PlayBook 16GB (Gift from RIM :D)

Re: Flash Builder 4.7 is out!

Please tell me exactly what you are doing to fail at step 6. I don't want to jump to conclusions which would be pretty offensive...
This is a signature. Don't expect anything fancy, for I would use an image if I could. But I can't, so cope with it...
Retired
dmalik
Posts: 427
Registered: ‎02-22-2012
My Device: BlackBerry Z10, BlackBerry Dev Alpha C, BlackBerry PlayBook

Re: Flash Builder 4.7 is out!

Don't select a check box to integrate if you have Flash Builder 4.7. If you already have the plugin installed in Flash Builder you're good to go. If not, after you install the SDK you will have to install the plugin.

Follow me on Twitter: @dustinmalik
-----------------------------------------------------------------------------------------------------
Keep up to date on BlackBerry development: http://devblog.blackberry.com/
Developer
Developer
mdd
Posts: 225
Registered: ‎01-17-2012
My Device: PB

Re: Flash Builder 4.7 is out!

I have not selected either integration check box this time - I DID select it the first time I ran the installer, but went BACK and unchecked it before cancelling the install.